# Compaq TCP/IP Services for OpenVMS
Management Command Reference

Previous | Contents | Index

## 1.1.3 Creating and Deleting Files

The CREATE commands create the following kinds of files:

- Database files
  Compaq strongly recommends that you use the TCP/IP Services configuration procedure (TCPIP$CONFIG) instead of manually creating databases. See the Compaq TCP/IP Services for OpenVMS Installation and Configuration guide for instructions.
  Use the following commands to create database files:
  - CREATE BOOTP
  - CREATE CONFIGURATION
  - CREATE EXPORT
  - CREATE HOST
  - CREATE NETWORK
  - CREATE PROXY
  - CREATE ROUTE
  - CREATE SERVICE
- UNIX container directories
  These directories are used by the NFS server software. Use the following commands to create and delete container directories and files:
  - CREATE CONTAINER
  - DELETE CONTAINER
  - CREATE DIRECTORY
  - REMOVE DIRECTORY
  - REMOVE FILE

## 1.1.4 Adding and Deleting Records

To add and delete records from the TCP/IP Services databases, use the CONVERT, ADD, and REMOVE management commands.

Use the following commands to add records to and delete records from the proxy and export databases:

- ADD EXPORT
- REMOVE EXPORT
- ADD PROXY
- REMOVE PROXY

You cannot modify information that you enter into databases. Instead, delete the record with the REMOVE command and then issue a new ADD command.

TCP/IP Services provides the following kinds of CONVERT management commands:

- CONVERT/CONFIGURATION BIND
  Converts BIND configuration information to BIND Version 8.1 format.
- CONVERT/VMS
  Populates an existing database with entries from a UNIX database file.
- CONVERT/UNIX
  Reads a TCP/IP Services database and converts the information to a UNIX-formatted (sequential) database file. For example, CONVERT/UNIX HOST reads the hosts database and converts the records into a UNIX-formatted `/etc/hosts` file.

## 1.1.5 Starting and Stopping Software

You can start and stop software components interactively by using the following commands:

- START MAIL
- START ROUTING
- STOP ROUTING

For example:

    TCPIP> START ROUTING /SUPPLY

For the server components that are started by the auxiliary server upon an incoming client request, the ENABLE SERVICE command tells the the auxiliary server to listen for requests and act upon them.

The DISABLE SERVICE command tells the auxiliary server to stop listening for incoming requests.

Use the following commands to set components to start when TCP/IP Services starts. The permanent configuration is stored in the configuration database.

- SET CONFIGURATION ENABLE SERVICE
- SET CONFIGURATION ENABLE NOSERVICE
- SET CONFIGURATION START ROUTING
- SET CONFIGURATION START NOROUTING

## 1.1.6 Validating Data Integrity

Use the following commands to verify the integrity of TCP/IP Services files:

- ANALYZE CONTAINER
- ANALYZE MAIL
- ANALYZE SERVICE

## 1.1.7 Managing NFS

The NFS server requires the following management commands:

- MAP
- SET CONFIGURATION MAP
- SHOW MAP
- SHOW CONFIGURATION MAP
- UNMAP
- SET CONFIGURATION NOMAP
- SET NFS_SERVER
- SHOW NFS_SERVER
- CREATE EXPORT
- ADD EXPORT
- REMOVE EXPORT
- SET EXPORT
- SHOW EXPORT
- CREATE PROXY
- CONVERT/VMS PROXY
- ADD PROXY
- REMOVE PROXY
- SHOW PROXY

## 1.1.8 Using NFS

The TCP/IP Services software includes commands for using NFS. Use the following commands to view container file systems and to copy files to and from them:

- CREATE DIRECTORY
- DIRECTORY
- REMOVE DIRECTORY
- REMOVE FILE
- CREATE CONTAINER
- DELETE CONTAINER
- EXPORT
- IMPORT

For using the NFS client (working with files that reside on remote hosts), TCP/IP Services software provides the following commands:

- MOUNT
- SHOW MOUNT
- DISMOUNT

## 1.1.9 Displaying Information

The SHOW and LIST commands display configuration, status, and performance information.

# 1.2 UNIX Management Commands

You can use UNIX management commands to manage the TCP/IP Services software. Table 1-3 describes the supported UNIX commands.

Table 1-3 UNIX Management Commands
Command | Description
--- | ---
`ifconfig` | Configures or displays network interface parameters, redefines an address for a particular interface, or sets options such as an alias list, broadcast address, or access filter.
`netstat` | Displays network statistics of sockets, data link counters, specified protocols or aliases, network interfaces, and a host's routing table.
`sysconfig` | Displays and maintains the network subsystem attributes.
`route` | Allows you to manipulate the routing table manually. Normally, a system routing table management component, such as GATED or ROUTED, will tend to this task.
`arp` | Controls and displays ARP tables for the specified host.
`ripquery` | Requests all routes known by a RIP gateway by sending a RIP request or a POLL command.
`traceroute` | Displays the route that packets take to a network host.

To use UNIX management commands at the DCL prompt, execute the command procedure SYS$MANAGER:TCPIP$DEFINE_COMMANDS.COM. For example:

    $ @SYS$MANAGER:TCPIP$DEFINE_COMMANDS

This command procedure defines process-specific commands that enable you to enter UNIX commands from the DCL prompt. Note that execution of a UNIX command in a DCL command procedure does not return an error in $STATUS, so you cannot test for the failure of a UNIX comand in a DCL command procedure.

The following command shows how to obtain information about an interface configured on your host. Note the use of quotation marks to preserve the case of the input:

    $ ifconfig "WF0"

The following is displayed:

    WF0: flags=c43<UP,BROADCAST,RUNNING,MULTICAST,SIMPLEX>
         rxmt 1000, reach time 30000, dad tries 1, MT 4352, hops 64, token len 64
         inet 16.20.208.100 netmask ffff0000 broadcast 16.20.255.255 ipmtu 4470
         inet6 fe80::200:f8ff:fe66:2e35

You must enclose uppercase options in quotation marks when entering UNIX commands at the DCL prompt.

For more information about UNIX command options and flags, refer to the Compaq TCP/IP Services for OpenVMS Tuning and Troubleshooting manual, or enter HELP unix_command at the TCPIP> prompt. For example, to display information about the `netstat` command, enter:

    TCPIP> HELP NETSTAT

# Chapter 2
Command Descriptions

This chapter describes the TCP/IP Services management commands in alphabetical order.

For information about how to enter commands, see Chapter 1.

# ADD EXPORT

> Adds an export entry, in the form of a UNIX path name, to the export database for a Network File System (NFS) file system. The path name is a name that is mapped to one of the following:
> - An OpenVMS disk
> - A subdirectory on an OpenVMS disk
> - A UNIX container file system

> Related commands: MAP, REMOVE EXPORT, SET CONFIGURATION MAP, SHOW EXPORT, SHOW HOST

> Applies to: NFS server

## Format

> ADD EXPORT "/path/name" /HOST=host
> [ /OPTIONS=
> [NO]DATA_CONVERSION
> [NO]NAME_CONVERSION
> [NO]PURGE_VERSIONS
> [NO]TYPELESS_DIRECTORIES ]

### restrictions and tips

> This command requires read and write access to the export database. The following restrictions and instructions apply:
> - Do not use wildcards within a UNIX directory specification.
> - For each host, define both its host name and any alias names.
> - For each entry, use uppercase and lowercase consistently.
> - If you remove an export entry and replace the entry using different options; each client must dismount and remount for the new options to take effect.

## Parameters

> ### "/path/name"

> Required.

> File system to add to the export database.

> Separate directory and subdirectory names with slashes.

## Qualifiers

> ### /HOST=host

> Required.

> The NFS client host or hosts that will have access to the specified NFS file system.

> You can use a wildcard to allow access to all hosts.

> ### /OPTIONS= { [NO]DATA_CONVERSION |[NO]NAME_CONVERSION |[NO]PURGE_VERSIONS |[NO]TYPELESS_DIRECTORIES }

> Optional.

> Note For clients operating in OpenVMS to OpenVMS mode, the server ignores the options in the export record and uses the settings required for OpenVMS to OpenVMS mode.

> Options for the specified directory:

> - DATA_CONVERSION, NODATA_CONVERSION
>   - DATA_CONVERSION (default)
>     Converts the following kinds of sequential files:
>     - Variable
>     - Variable with fixed-length control (VFC)
>     - Fixed-record formats
>     Converts sequential files according to the rules applied by the following record attributes:
>     - Carriage return/carriage control (CR)
>     - Fortran carriage control (FTN)
>     - Print file-format control (PRN)
>     Stream formats are returned unconverted.
>     The data in files with nonstream records cannot be written back to the file.
>   - NODATA_CONVERSION
>     File data is considered raw and is returned without conversion. Nonstream records are returned with their record control information mixed with the record data. Files can be rewritten randomly.
> - NAME_CONVERSION, NONAME_CONVERSION
>   - NAME_CONVERSION
>     A non-OpenVMS client can create files with mixed-case names and names containing characters that are invalid for OpenVMS file names. The server converts such names to valid OpenVMS file names, and reverses the conversion when displaying the file names to a non-OpenVMS client.
>   - NONAME_CONVERSION (default)
>     Clients can only create files with valid OpenVMS names. The server performs case-insensitive lookups and displays directories in lowercase.
> - PURGE_VERSIONS, NOPURGE_VERSIONS
>   Default: NOPURGE_VERSIONS
>   Deletes multiple versions of files. (The NFS CREATE and RENAME calls can create multiple versions. The NFS READDIR call can sense multiple versions.)
> - TYPELESS_DIRECTORIES, NOTYPELESS_DIRECTORIES
>   - TYPELESS_DIRECTORIES
>     Removes `.dir.1` from the name of directories. A naming conflict could arise if, for example, two files exist in the parent directory:
>     `DOVE.;1` (regular file)
>     `DOVE.DIR;1` (directory file)
>     The name is returned as `dove.` , rather than `dove` , if a file and a conflicting directory exist.
>   - NOTYPELESS_DIRECTORIES (default)
>     Returns names as `file.ext` and `file.dir` .

##

### Examples

#1
    TCPIP> ADD EXPORT "/gold/finch" /HOST=GOLD

> Adds the name of UNIX directory `/gold/finch` to the export database and gives NFS client users on the remote host `gold` access to this directory.

#2
    TCPIP> ADD EXPORT "/gold/finch" /HOST=(PURPLE,FINCH)

> Adds the directory `/gold/finch` to the export database and gives NFS client users on multiple remote hosts (PURPLE and FINCH) access to this directory.

# ADD PROXY

> Adds entries to the proxy database that give remote users an OpenVMS identity (account name). Applies to the NFS server, NFS client, PC-NFS, RSH, LPR/LPD, and customer-developed services.

> The proxy database contains communication proxies and NFS proxies:

> - Communication proxy
>   - Provides an identity for users of RSH, RLOGIN, REXEC, RMT/RCD, LPR/LPD, and customer-written services, if these services are marked with SET SERVICE /FLAGS=APPLICATION_PROXY.

>     Note The ROOT account does not require a communication proxy in the proxy database. The /FLAGS=APPLICATION_PROXY flag, therefore, is not relevant when you are setting up a communication proxy for a UNIX root account.

>   - Required qualifiers: /HOST, /REMOTE_USER.
> - NFS proxy
>   - Provides an identity for users of NFS client, NFS server, PC-NFS. No two proxies can have the same UID and host combination.
>   - Required qualifiers: /HOST, /GID, /UID.

> You can combine NFS and communication proxies in one record.

> Related commands: SHOW HOST, DCL command AUTHORIZE, CONVERT/VMS PROXY, REMOVE PROXY, SHOW PROXY

## Format for Communication Proxies

> ADD PROXY user { /HOST=host | /REMOTE_USER=user }
> [ /PERMANENT ]

## Format for NFS Proxies

> ADD PROXY user { /GID=n | /HOST=host | /UID=n }
> [ /NFS=options ]
> [ /PERMANENT ]

### restrictions and tips

> Requires read and write access to the proxy database and one of the following privileges:
> - SYSPRV
> - SYSLCK
> - OPER

> For each host, define both its host name and alias names.

> For each entry, use uppercase and lowercase consistently.

## Parameters

> ### user

> Required.

> Local OpenVMS identity for the user of: NFS server, NFS client, PC-NFS, remote shell, or LPR/LPD.

## Qualifiers

> ### /GID=n

> Required for an NFS proxy.

> Group identifier (GID) for an NFS user.

> Wildcards not allowed.

> ### /HOST=host

> Required.

> Host name on which the NFS user is working.

> - The host must be seen on the SHOW HOST/LOCAL display. It is important to use the SHOW HOST command to verify that the host is known to TCP/IP Services because ADD PROXY does not do this check.
> - A wildcard is allowed.
> - Compaq recommends that you define both the host name and any alias names.

> ### /NFS=[ INCOMING | OUTGOING ]

> Optional. Default: /NFS=(INCOMING,OUTGOING).

> Creates an NFS proxy for local clients, remote clients, or PC-NFS clients. Specify one of the following:

> - /NFS=OUTGOING --- Proxy to use NFS client
> - /NFS=INCOMING --- Proxy to use NFS server
> - /NFS=(OUTGOING,INCOMING) --- Proxy to use both NFS server and NFS client

> ### /PERMANENT

> Optional. Default: Both permanent and volatile databases.

> Adds the entry only to the permanent proxy database.

> - Communication proxy
>   - If REMOTE_USER is not active, changes are made to the permanent database.
>   - If REMOTE_user is active, changes to the permanent database take effect after you restart RSH, RLOGIN, or LPD.

> ### /REMOTE_USER=user

> Required for a communication proxy. Not valid on NFS proxy.

> Specifies the remote client's user name.

> A wildcard is allowed.

> ### /UID=n

> Required for an NFS proxy.

> Specifies the user identifier (UID) for an NFS user.

> Wildcards are not allowed.

##

### Examples

#1
    TCPIP> ADD PROXY HAWAIIAN_GOOSE /NFS=(OUTGOING,INCOMING) -
    _TCPIP> /GID=10 /UID=444 /HOST="nene"

> Creates a proxy called HAWAIIAN_GOOSE, authorizing use of both the NFS client and the NFS server to and from host `nene` .

#2
    TCPIP> ADD PROXY COUSINS /GID=10 /UID=40 /NFS=OUTGOING -
    _TCPIP> /HOST=("grackle","blackbird")

> Enters an NFS proxy called COUSINS for a local NFS client user named COUSINS. This user can access remote files from NFS servers `grackle` and `blackbird` .

#3
    TCPIP> ADD PROXY REMOTE_UGLY_DUCKLING -
    _TCPIP> /REMOTE_USER="cygnet" /HOST="babyswan"

> Adds to the proxy database communication proxy REMOTE_UGLY_DUCKLING for remote user `cygnet` at host `babyswan` .

# ANALYZE CONTAINER

> Verifies the integrity of a UNIX container file, including the following checks:
> - Superblock validation
> - Inode validation
> - Directory validation
> - Internal allocation validation
> - Directory hierarchy validation

> Reports, and optionally corrects, problems within the structure of the container directory. Applies to the NFS server.

> Related commands: DIRECTORY, SHOW CFS, MAP, UNMAP

## Format

> ANALYZE CONTAINER device:path.name
> [ /[NO]CONFIRM ]
> [ /[NO]REPAIR ]

### restrictions and tips

> - Before you enter the ANALYZE CONTAINER command, you must map the OpenVMS volume on which the container directory resides, using the MAP command.
> - Before you enter the ANALYZE CONTAINER command, unmap the container file system to prevent users from attempting to access to it while you analyze it.
> - This command requires the BYPASS privilege.

## Parameters

> ### device:path.name

> Required.

> Device and container directory to analyze.

## Qualifiers

> ### /CONFIRM

> ### /NOCONFIRM

> Optional. Default: /NOCONFIRM.

> Use only with the /REPAIR qualifier.

> When the software encounters a problem with the services database, it displays a description and solution and then requests confirmation before making each correction. For example:

>     %TCPIP-E-ANA_SUP_BADIICGSIZE, Problem: Bad initial inode cell group
>     size:bad_value
>     Solution: Will be replaced by default size: good_value
>           CONFIRM [Y/N/G]:

> In respose to the CONFIRM: prompt, enter one of the following:

> - Y to repair the problem
> - N to ignore the problem
> - G to change to NO CONFIRMATION mode

> ### /REPAIR

> ### /NOREPAIR

> Optional. Default: /NOREPAIR.

> Any errors will be repaired.

##

### Examples

#1
    TCPIP> UNMAP "/wren20"
    TCPIP> ANALYZE CONTAINER DUA0:[WREN20]

> Verifies the integrity of container DUA0:[WREN20].

# ANALYZE MAIL

> Verifies the consistency of the SMTP queues with SMTP control files.

> Related commands: REMOVE MAIL, SHOW MAIL

## Format

> ANALYZE MAIL [ user ]
> [ /[NO]CONFIRM ]
> [ /DELETE[=options ]
> [ /HOLD=time ]
> [ /LOG=file ]
> [ /[NO]REPAIR ]

### restrictions

> Requires SYSNAM, SYSPRV, or BYPASS privilege to access mail that is not yours.

## Parameters

> ### user

> Optional. Default: All users.

> User whose mail you want to analyze.

## Qualifiers

> ### /CONFIRM

> ### /NOCONFIRM

> Optional. Default: /NOCONFIRM

> Use only with either the /REPAIR or the /DELETE qualifier.

> When the software encounters a problem, it displays a description and solution. It then requests confirmation before making a correction or deleting each record. Enter one of the following:

> - Y to repair the problem
> - N to ignore the problem
> - G to change to NO CONFIRMATION mode

> ### /DELETE [=BEFORE=time | =SINCE=time]

> Optional. Default: Files not deleted.

> Deletes each control file without a corresponding queue entry.

> - =BEFORE=time
>   - Deletes files created before the specified time.
>   - Default: Current date and time.

> - =SINCE=time
>   - Deletes files created since the specified time.
>   - Default: Deletes all files.

> Use the /DELETE and /REPAIR qualifiers on the same command line only if their time frames do not conflict.

> The following command requeues lost mail created since yesterday and deletes all previous mail:

>     TCPIP> ANALYZE MAIL /REPAIR /DELETE=BEFORE=YESTERDAY

> ### /HOLD=time

> Optional. Default: Immediate retransmission.

> Hold, until the specified time, lost control files that you requeued.

> ### /LOG[=file]

> Optional. Default: [current_default_dir]:TCPIP$SMTP_ANALYZE.LOG.

> Writes the ANALYZE MAIL log to the specified file.

> ### /REPAIR

> ### /NOREPAIR [=BEFORE=time | =SINCE=time]

> Optional. Default: /NOREPAIR.

> Corrects errors as follows:

> - Resubmits for delivery each valid control file in the SMTP directory with no entry in an SMTP queue.
> - Deletes each invalid control file (fails the internal consistency check) and the corresponding queue entry.
> - Either requeues or deletes messages placed on hold.

> Supports the following options:

> - =BEFORE=time
>   - Deletes files created before the specified time.
>   - Default: Current date and time.
> - =SINCE=time
>   - Deletes files created since the specified time.
>   - Default: Deletes all files.

> Do not use /REPAIR with /DELETE if their time frames conflict.

##

### Examples

#1
    TCPIP> ANALYZE MAIL /REPAIR

> Displays status for the SMTP queues, and requeues each valid control file that lacks a corresponding queue entry.

#2
    TCPIP> ANALYZE MAIL /DELETE

> Creates the summary of SMTP queues, and deletes each valid control file that lacks a corresponding SMTP queue entry.

#3
    TCPIP> ANALYZE MAIL DRAKE /REPAIR /DELETE=BEFORE=24-SEP-2000

> This command does the following:

> - Creates a summary of SMTP entries and control files for user DRAKE.
> - Requeues control files that lack corresponding queue entries.
> - Deletes control files created before September 24, 2000.

Previous | Next | Contents | Index